ClarisDrawTextInternal::PLC Struct Reference

Internal : the different plc types: mainly for debugging. More...

## Public Member Functions
| PLC ()
| the constructor

## Public Attributes
PLCType | m_type
| the PLC types
int | m_id
| the id
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<<

## Detailed Description

Internal : the different plc types: mainly for debugging.

## Constructor & Destructor Documentation

## ◆ PLC()

ClarisDrawTextInternal::PLC::PLC | ( |  | ) |
| inline

the constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PLC const & | plc )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string ClarisDrawTextInternal::PLC::m_extra

extra data

Referenced by operator<<, and PLC().

## ◆ m_id

int ClarisDrawTextInternal::PLC::m_id

the id

Referenced by operator<<, PLC(), ClarisDrawText::readDSETZone(), ClarisDrawText::readFonts(), ClarisDrawText::readParagraphs(), ClarisDrawText::readTextZoneSize(), and ClarisDrawText::readTokens().

## ◆ m_type

PLCType ClarisDrawTextInternal::PLC::m_type

the PLC types

Referenced by operator<<, PLC(), ClarisDrawText::readDSETZone(), ClarisDrawText::readFonts(), ClarisDrawText::readParagraphs(), ClarisDrawText::readTextZoneSize(), and ClarisDrawText::readTokens().

The documentation for this struct was generated from the following file:

- ClarisDrawText.cxx